## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check

%global crate bat

Name:           rust-%{crate}
Version:        0.18.3
Release:        %autorelease
Summary:        Cat(1) clone with wings

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bat
Source:         %{crates_source}
# Initial patched metadata
# * Switch to path-absolutize, https://github.com/sharkdp/bat/pull/1025
# * Bump assert_cmd to 2.0.0
# * Bump nix to 0.22.0
Patch0:         bat-fix-metadata.diff
Patch0001:      0001-Switch-to-path-absolutize.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Cat(1) clone with wings.}

%description %{_description}

%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# BSD
# CC0
# LGPLv3+
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# Unlicense or MIT
License:        ASL 2.0 and BSD and CC0 and LGPLv3+ and MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc doc README.md CONTRIBUTING.md CHANGELOG.md
%{_bindir}/bat
%{_mandir}/man1/bat.1*
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/bat.fish
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc doc README.md CONTRIBUTING.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+application-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+application-devel %{_description}

This package contains library source intended for building other packages
which use "application" feature of "%{crate}" crate.

%files       -n %{name}+application-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+atty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atty-devel %{_description}

This package contains library source intended for building other packages
which use "atty" feature of "%{crate}" crate.

%files       -n %{name}+atty-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages
which use "clap" feature of "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dirs-next-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dirs-next-devel %{_description}

This package contains library source intended for building other packages
which use "dirs-next" feature of "%{crate}" crate.

%files       -n %{name}+dirs-next-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages
which use "git" feature of "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+git2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-devel %{_description}

This package contains library source intended for building other packages
which use "git2" feature of "%{crate}" crate.

%files       -n %{name}+git2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages
which use "lazy_static" feature of "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+paging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+paging-devel %{_description}

This package contains library source intended for building other packages
which use "paging" feature of "%{crate}" crate.

%files       -n %{name}+paging-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regex-onig-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-onig-devel %{_description}

This package contains library source intended for building other packages
which use "regex-onig" feature of "%{crate}" crate.

%files       -n %{name}+regex-onig-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+shell-words-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shell-words-devel %{_description}

This package contains library source intended for building other packages
which use "shell-words" feature of "%{crate}" crate.

%files       -n %{name}+shell-words-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wild-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wild-devel %{_description}

This package contains library source intended for building other packages
which use "wild" feature of "%{crate}" crate.

%files       -n %{name}+wild-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/assets/manual/bat.1
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  target/release/build/%{crate}-*/out/assets/completions/bat.fish

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.18.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.18.3-2
- Rebuild for libgit2 1.3.x

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.18.3-1
- Bump assert_cmd to 2.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 14:21:41 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.1-3
- Rebuild against libgit2 1.1.x

* Mon Dec 28 13:27:34 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.17.1-2
- Rebuild

* Sat Dec 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.17.1-1
- Update to version 0.17.1.
- Remove features with missing dependencies (regex-fancy).
- Fixes RHBZ#1900814

* Tue Oct 27 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.0-1
- Update to version 0.16.0.

* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.4-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 10:43:31 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.4-1
- Update to 0.15.4

* Mon May 25 18:52:24 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.2-1
- Update to 0.15.2

* Tue May 12 2020 Josh Stone <jistone@redhat.com> - 0.15.1-1
- Update to 0.15.1

* Sat May 02 10:58:34 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Update console to 0.11.2

* Mon Apr 27 08:12:43 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 0.14.0-1
- Update to 0.14.0

* Wed Apr 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-2
- Rebuild for libgit2 1.0.0

* Sun Mar 22 14:24:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0

* Thu Mar 19 11:31:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.1-5
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.12.1-4
- Bump git2 to 0.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 09:50:18 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.12.1-2
- Bump git2 to 0.11

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.12.1-1
- Update to 0.12.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 14 18:28:38 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-3
- Update dirs to 2.0

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.11.0-2
- Bump git2 to 0.9

* Sat Jun 01 2019 Josh Stone <jistone@redhat.com> - 0.11.0-1
- Update to 0.11.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.9.0-1
- Update to 0.9.0

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Thu Oct 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Thu Sep 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Initial package

